package com.kexun.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.entity.FieldDefineEntity;
import com.kexun.entity.FieldTemplateEntity;
import com.kexun.model.ro.FiledTemplateCreateRO;
import com.kexun.model.ro.FiledTemplateRO;
import com.kexun.model.ro.FiledTemplateUpdateRO;

/**
 *
 */

public interface FieldTemplateService extends IService<FieldTemplateEntity> {

    /**
     * 分页查询模板列表信息
     *
     * @param filedTemplateRO
     * @return
     */
    IPage<FieldTemplateEntity> listPage(FiledTemplateRO filedTemplateRO);

    /**
     * 保存模板关系表
     * @param filedTemplateCreateRO
     */
    void save(FiledTemplateCreateRO filedTemplateCreateRO);

    /**
     * 修改
     * @param filedTemplateUpdateRO
     */
    void update(FiledTemplateUpdateRO filedTemplateUpdateRO);

}
