package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSONObject;
import com.kexun.common.utils.Result;
import com.kexun.entity.BusinessInfo;
import com.kexun.entity.CustomInfo;
import com.kexun.entity.ReportFile;
import com.kexun.service.CustomInfoService;
import lombok.extern.java.Log;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/admin/report")
@Log
public class ReportController {

    @Autowired
    private com.kexun.service.ReportService ReportService;


    @GetMapping("reportFileList")
    public Result businessToDoList() {
        JSONObject resJson=new JSONObject();
        List<ReportFile> list= ReportService.list();
        resJson.put("report_file_list",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }

}
