package com.kexun.model.ro;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description: 字段模板创建RO
 *
 * @author lgs
 * @date 2023/06/25
 */
@Data
public class FiledTemplateCreateRO implements Serializable {

    @ApiModelProperty(value = "字段模板编号")
    private String templateNo;

    @ApiModelProperty(value = "字段模板名称")
    private String templateName;

    @ApiModelProperty(value = "字段列表")
    private List<FiledUpdateRO> filedList;

}
